
<div *ngIf="success && step!=2" class="text-center alert alert-success">
  Votre compte a été créé avec succès ! <br>
 <a (click)="loginAndEspace()" class="btn btn-success">Accédez à votre espace client !</a>
</div>
<div *ngIf="errors" class="text-center alert alert-danger">
  Une erreur est survenue !
  <br>
  {{ errors }}
</div>
<form *ngIf="step==0" class="form col-md-6 offset-3 needs-validation">
  <h2 class="text-center">Possédez-vous une carte VA ?</h2>
  <div class="form-group">
    <div class="form-group">
      <label for="input-va">Numéro de carte VA - ex: "c000000000"</label>
      <input name="va" [(ngModel)]="clientVa.numero_VA" type="string" id="input-va"
             class="form-control" placeholder="Numéro de carte VA">
    </div>
  </div>
  <div class="d-flex">
    <button class="btn btn-success mr-1" (click)="onSubmitVA()" >S'enregistrer avec ma carte VA</button>
    <a class="btn btn-danger mx-1" (click)="registerNoVA()">Je n'ai pas de carte VA</a>
    <a class="btn btn-light ml-1" routerLink="/">Retourner à l'accueil</a>
  </div>
  <p>Note: si vous n'avez pas entré les <b>mêmes informations</b> que celles stockées sur Adhésion, le serveur refusera votre carte VA.
    Il faut notamment mettre la même adresse mail que celle que vous avez fournie lors de l'achat de votre carte VA.
    Si vous avez acheté votre carte VA pour cette année, <b>passez au BdE</b> pour vérifier votre fiche adhérent.
  </p>
</form>
<form *ngIf="!success && step==1" class="form col-md-6 offset-3 needs-validation">
  <h2 class="text-center">Formulaire d'inscription</h2>
  <div class="form-group">
    <label>Adresse Email</label>
    <input name="username" [(ngModel)]="client.email" [disabled]="va_validated" id="input-username"
           class="form-control form-control-feedback" placeholder="Email" type="email"
           autofocus required >
    <label for="input-firstname">Prénom</label>
    <input name="firstname" [(ngModel)]="client.first_name" [disabled]="va_validated" id="input-firstname"
           class="form-control" placeholder="Prénom"
           autofocus required >
    <label for="input-lastname">Nom</label>
    <input name="text" [(ngModel)]="client.last_name" [disabled]="va_validated" id="input-lastname"
           class="form-control" placeholder="Nom"
           autofocus required >

    <div class="form-group">
      <label for="input-number">Numéro de téléphone (Il nous permet de vous contacter en cas de problème)</label>
      <input name="number" [(ngModel)]="client.phone" [disabled]="va_validated && client.phone != null" type="string" id="input-number"
             class="form-control" placeholder="Numéro de téléphone">

    </div>
    <div class="form-group">
      <label for="input-va">Numéro de carte VA (laissez vide si vous n'en avez pas) - ex: "c000000000"</label>
      <input name="va" [(ngModel)]="client.numero_VA" [disabled]="va_validated" type="string" id="input-va"
             class="form-control" placeholder="Numéro de carte VA">
    </div>
  </div>
  <div class="form-group">
    <label for="input-password">Mot de passe</label>
    <input name="password" [(ngModel)]="password" type="password" id="input-password"
           class="form-control" placeholder="Mot de passe" required>
  </div>
  <div class="form-group">
    <label for="input-password2">Retapez le mot de passe</label>
    <input name="password2" [(ngModel)]="password2" type="password" id="input-password2"
           class="form-control" placeholder="Mot de passe" required>
  </div>
  <div class="d-flex justify-content-center">
    <button class="btn btn-success mr-2" (click)="onSubmit()" >S'enregistrer</button>
    <a class="btn btn-light ml-2" routerLink="/">Retourner à l'accueil</a>
  </div>
  <p>Note: si vous n'avez pas entré les <b>même informations</b> que celles stockées sur Adhésion, le serveur refusera votre carte VA.
    Il faut notamment mettre la même adresse mail que celle que vous avez fournie lors de l'achat de votre carte VA.
    Si vous avez acheté votre carte VA pour cette année, <b>passez au BdE</b> pour vérifier votre fiche adhérent.
  </p>
</form>
<div *ngIf="step==2" class="text-center">
  <h2>Vous avez été enregistré avec succès !</h2>
  Un mail de confirmation vous a été envoyé à l'adresse {{ client.email }} pour activer votre carte VA. <br> <br>
</div>


